Bug 1021443 - display approriate message when you try to auto-attach on a deleted consumer
display approriate message when you try to auto-attach on a deleted consumer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.0
Assigned To: Jesus M. Rodriguez
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-10-21 05:58 EDT by Shwetha Kallesh
Modified: 2014-06-17 20:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:47:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message after deleting the consumer (82.87 KB, image/png)
2013-10-21 05:58 EDT, Shwetha Kallesh
no flags Details
Error message updated (208.64 KB, image/png)
2014-02-04 11:43 EST, Rehana
no flags Details

  None (edit)
Description Shwetha Kallesh 2013-10-21 05:58:18 EDT
Created attachment 814509 [details]
error message after deleting the consumer

Description of problem:
display approriate message when you try to auto-attach on a deleted consumer

Version-Release number of selected component (if applicable):
[root@localhost ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.29-1
subscription-manager: 1.10.4-1.git.0.e94d2a9.el7
python-rhsm: 1.10.3-1.git.0.6ac2883.el7

How reproducible:


Steps to Reproduce:
1.[root@localhost ~]# curl -k -u admin:admin --request DELETE https://10.70.35.34:8443/candlepin/consumers/29600ad6-fa02-4983-8441-61104234b395

2.subscription-manager-gui
3.click on auto-attach

Actual results:


Expected results:


Additional info:
Comment 2 Jesus M. Rodriguez 2014-01-30 11:07:57 EST
Pending code review:

https://github.com/candlepin/subscription-manager/pull/885
Comment 3 Jesus M. Rodriguez 2014-01-30 16:29:35 EST
fixed by 871af2da6765c031d5bf9a03598f15213759168e
Comment 5 Rehana 2014-02-04 11:41:53 EST
Retested on,

subscription-manager version 
server type: Red Hat Subscription Management
subscription management server: 0.9.2-1
subscription-manager: 1.10.13-1.el7
python-rhsm: 1.10.12-1.el7

1. subscription-manager register
Username: admin
Password: 
Organization: admin
The system has been registered with ID: aabf0d17-b75f-42e2-b11c-4799ce4ecdf3

2.curl -k -u admin:admin --request DELETE https://10.70.35.226:8443/candlepin/consumers/aabf0d17-b75f-42e2-b11c-4799ce4ecdf3

3.subscription-manager-gui
4.click on auto-attach

Observed that now auto-attach on GUI displayed an appropriate error message "Consumer has been deleted" (PFA)

Moving this bug to verified
Comment 6 Rehana 2014-02-04 11:43:31 EST
Created attachment 859235 [details]
Error message updated
Comment 7 Ludek Smid 2014-06-13 08:47:48 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.